<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class BilinkAuthScreen extends AbstractControlsScreen
{
    const ID = 'auth';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies)
    {

        $defs = array();

	$login = isset($plugin_cookies->login) ?
            $plugin_cookies->login : '';
        $pass = isset($plugin_cookies->pass) ?
            $plugin_cookies->pass : '';	
	
	$this->add_text_field($defs,'login', 'Логин:',$login, 1, 0, 0, 0, 400, 1, false);
	$this->add_text_field($defs,'pass', 'Пароль:',$pass, 0, 1, 1, 0, 400, 1, false);

        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('Setup: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

	$login = isset($plugin_cookies->login) ?
            $plugin_cookies->login : '';
	$pass = isset($plugin_cookies->pass) ?
            $plugin_cookies->pass : '';
		

	$control_id = $user_input->control_id;
        $new_value = $user_input->{$control_id};
        hd_print("Setup: changing $control_id value to $new_value");

        if ($user_input->action_type === 'confirm')
        {
            if ($control_id === 'show_tv')
                $plugin_cookies->show_tv = $new_value;
            else if ($control_id === 'show_vod')
                $plugin_cookies->show_vod = $new_value;
	    else if ($control_id === 'login')
		{
                     $plugin_cookies->login = $user_input->{'login'};
		}
	    else if ($control_id === 'pass')
		{
		    $plugin_cookies->pass = $user_input->{'pass'};
		    $flag = true;
			try
			{
			    HD::authorization($plugin_cookies);
			}
			catch (Exception $e)
			{
			    $flag = false;
			}
		    if ($flag)
			throw new DuneException(
				'Authorization confirm', 10,
				ActionFactory::show_error(
				    true,
				    'Информация:',
				    array(
				        'Ваши настройки успешно применены.')));
		    else
			throw new DuneException(
				'Authorization error', 11,
				ActionFactory::show_error(
				    false,
				    'Информация:',
				    array(
				        'Некорректный логин или пароль.')));
		}
        }

        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
