<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/tv/default_channel.php';

///////////////////////////////////////////////////////////////////////////

class BilinkChannel extends DefaultChannel
{
    private $number;
    private $past_epg_days;
    private $future_epg_days;
    private $archive_delay;
    private $is_protected;

    ///////////////////////////////////////////////////////////////////////

    public function __construct(
        $id, $title, $icon_url, $number, $past_epg_days, $future_epg_days, $has_archive, $is_protected)
    {
        parent::__construct($id, $title, $icon_url);

        $this->number = $number;
        $this->past_epg_days = $past_epg_days;
        $this->future_epg_days = $future_epg_days;
	$this->has_archive = $has_archive;
	$this->is_protected = $is_protected;
	$this->archive_delay = 0;
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_number()
    { return $this->number; }

    public function get_past_epg_days()
    { return $this->past_epg_days; }

    public function get_future_epg_days()
    { return $this->future_epg_days; }

    public function has_archive()
    {
	return $this->has_archive;
    }

    public function set_has_archive($value)
    {
	$this->has_archive = $value;
    }

    public function get_archive_delay_sec()
    { return $this->archive_delay; }
    
    public function set_archive_delay_sec($new_archive_delay)
    { $this->archive_delay = $new_archive_delay; }

    public function is_protected($plugin_cookies)
    {
	if ($plugin_cookies->ask_pc == 'no')
	{
	    return false;
	} 
	else
	{
	    return $this->is_protected;
	}
    }
    public function real_is_protected()
    {
	return $this->is_protected;
    }
}

///////////////////////////////////////////////////////////////////////////
?>
