<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class BilinkSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies)
    {
	$flag = true;
	try
	{
	    HD::authorization($plugin_cookies);
	}
	catch (Exception $e)
	{
	    $flag = false;
	}
	if ($flag)
	{
	    $act_timeshift = "";
	    $act_bitrate = "";
	    $act_datacenter = "";
	    ///////////////////////////////////////////////////////////// 
	    ///////////Получаем списки настроек клиента//////////////////
		$query = '&query=get_settings';
		$xml = HD::load_xml($plugin_cookies, $query, 'Невозможно получить настройки!');
		if ($xml->getName() !== 'entity')
		{
		    hd_print("Error: unexpected node '" . $xml->getName() . "'. Expected: 'tv_info'");
		    throw new Exception('Invalid XML document');
		}
	    try{
	    ///////////////////////Парсим xml настроек///////////////////
	    ///////////////////////bitrate/////////////////////////////
		$bitrate_ops = array();
		$br_arr = $xml->row[0]->xpath("array[@name='bitrates']");
		foreach ($br_arr[0] as $br)
		{
		    $name = $br->xpath("item[@name='title']");
		    $id = $br->xpath("item[@name='number']");
		    $active = $br->xpath("item[@name='active']");
		    if (intval($active[0]) == 1)
			$act_bitrate = strval($name[0]);
		    $bitrate_ops[strval($id[0])] = strval($name[0]);
		}
	    }catch(Exception $e){
		
	    }
	}
        $defs = array();

        $show_tv = isset($plugin_cookies->show_tv) ?
            $plugin_cookies->show_tv : 'yes';
        $show_vod = isset($plugin_cookies->show_vod) ?
            $plugin_cookies->show_vod : 'yes';
	$login = isset($plugin_cookies->login) ?
            $plugin_cookies->login : '';
        $pass = isset($plugin_cookies->pass) ?
            $plugin_cookies->pass : '';	
	
	$timeshift = isset($plugin_cookies->timeshift) ?
	    $plugin_cookies->timeshift : $act_timeshift;
	$bitrate = isset($plugin_cookies->bitrate) ?
	    $plugin_cookies->bitrate : $act_bitrate;
	$datacenter = isset($plugin_cookies->datacenter) ?
	    $plugin_cookies->datacenter : $act_datacenter;


        $show_ops = array();


        $show_ops['yes'] = 'Yes';
        $show_ops['no'] = 'No';


	if ($login)
		$this->add_label($defs,'Ваш логин:',$login);
	else
		$this->add_label($defs,'Ваш логин:','не указан');
	$this->add_button($defs,'change_log','','Редактировать абонемент',50);

	if ($flag)
	{
	    $this->add_vgap($defs, 20);
	    $this->add_combobox($defs,
                'bitrate', 'Битрейт:',
                $bitrate, $bitrate_ops, 0, true);
	}
	else
	{
	   $this->add_vgap($defs, 20);
	   $this->add_label($defs,'Доп. настройки - ','недоступны');
	}
	

        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('Setup: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

	$login = isset($plugin_cookies->login) ?
            $plugin_cookies->login : '';
	$pass = isset($plugin_cookies->pass) ?
            $plugin_cookies->pass : '';
	

	$control_id = $user_input->control_id;
        $new_value = $user_input->{$control_id};
        hd_print("Setup: changing $control_id value to $new_value");


	if ($user_input->action_type === 'confirm')
        {
            if ($control_id === 'bitrate')
		{
                    $plugin_cookies->bitrate = $new_value;
		    $query= '&query=set_settings&key=bitrate&value='.$user_input->{'bitrate'};
		    $xml = HD::load_xml($plugin_cookies, $query, 'Невозможно установить битрейт!');
		    if ($xml->getName() !== 'entity')
		    {
			hd_print("Error: unexpected node '" . $xml->getName() . "'. Expected: 'tv_info'");
			throw new Exception('Invalid XML document');
		    }
		}
        }       

	if ($user_input->action_type === 'apply')
        {
            if ($control_id === 'change_log')
		return ActionFactory::open_folder(
				         MediaURL::encode(array('screen_id' => 'auth'))
				);
        }

        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
